com.hazelcast.org.snakeyaml.engine.v1.events

## Class ScalarEvent

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.events.Event
  - - com.hazelcast.org.snakeyaml.engine.v1.events.NodeEvent
    - - com.hazelcast.org.snakeyaml.engine.v1.events.ScalarEvent

-     public final class ScalarEvent
      extends NodeEvent

  Marks a scalar value.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.org.snakeyaml.engine.v1.events.Event

      `Event.ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalarEvent(Optional<Anchor> anchor, Optional<String> tag, ImplicitTuple implicit, String value, ScalarStyle style)`
    `ScalarEvent(Optional<Anchor> anchor, Optional<String> tag, ImplicitTuple implicit, String value, ScalarStyle style, Optional<Mark> startMark, Optional<Mark> endMark)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `escapedValue()`
    `Event.ID` | `getEventId()`
    `ImplicitTuple` | `getImplicit()`
    `ScalarStyle` | `getScalarStyle()` Style of the scalar.
    `Optional<String>` | `getTag()` Tag of this scalar.
    `String` | `getValue()` String representation of the value.
    `boolean` | `isPlain()`
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.events.NodeEvent

      `getAnchor`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.events.Event

      `equals, getEndMark, getStartMark, hashCode, isEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalarEvent

          public ScalarEvent(Optional<Anchor> anchor,
                             Optional<String> tag,
                             ImplicitTuple implicit,
                             String value,
                             ScalarStyle style,
                             Optional<Mark> startMark,
                             Optional<Mark> endMark)

    - #### ScalarEvent

          public ScalarEvent(Optional<Anchor> anchor,
                             Optional<String> tag,
                             ImplicitTuple implicit,
                             String value,
                             ScalarStyle style)

  - ### Method Detail

    - #### getTag

          public Optional<String> getTag()

      Tag of this scalar.
      Returns:
        The tag of this scalar, or `null` if no explicit tag is available.

    - #### getScalarStyle

          public ScalarStyle getScalarStyle()

      Style of the scalar.
      null
        Flow Style - Plain
      '\''
        Flow Style - Single-Quoted
      '"'
        Flow Style - Double-Quoted
      '|'
        Block Style - Literal
      '>'
        Block Style - Folded
      Returns:
        Style of the scalar.

    - #### getValue

          public String getValue()

      String representation of the value.

      Without quotes and escaping.

      Returns:
        Value as Unicode string.

    - #### getImplicit

          public ImplicitTuple getImplicit()

    - #### getEventId

          public Event.ID getEventId()

      Specified by:
        `getEventId` in class `Event`

    - #### isPlain

          public boolean isPlain()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### escapedValue

          public String escapedValue()

Copyright © 2019. All rights reserved.